# El manual de &konsole;

Jonathan
Singer

    jsinger@leeta.net

Stephan
Binner

    Stephan.Binner@gmx.de

Encargado
Michael
McBride
Revisora

    mmcbride@ematic.com

Lauri
Watts
Revisora

    lauri@kde.org

Pablo
de Vicente

    pvicentea@nexo.es

Traductor
Carlos
García Argos

    garcia@ieee.org

Traductor
2000
2001
2002
Jonathan Singer
&FDLNotice;
2001-12-25
1.10.00

Este documento es el manual de usuario para la aplicación &konsole;.

&konsole; es un emulador de terminal X para &kde;

KDE
konsole
kdebase
comando
línea

## Introducción a &konsole;

### ¿Qué es un terminal?

Los sistemas operativos &UNIX; se diseñaron originalmente como sistemas de sólo texto, controlados por comandos del teclado - es lo que se conoce con el nombre de interfa de línea de comandos (CLI). El &X-Windows; y &kde; y otros proyectos han añadido desde entonces el interfaz gráfico que usted está utilizando ahora. Sin embargo, el sistema CLI subyacente, está todavía presente, y es frecuentemente el más sencillo, rápido y más potente método de realizar muchas tareas.

&konsole; es lo que se conoce como un emulador de terminal X, frecuentemente denominado un terminal o un intérprete de comandos. Le ofrece el equivalente a una pantalla de texto antigua en su escritorio, pero tal que puede compartir la pantalla con sus aplicaciones gráficas. Los usuarios de Windows puede que estén familiarizados con la utilidad pantalla de MS-DOS, que hace una función análoga pero ofreciendo una línea de comandos de DOS para &Windows;. (Aunque los CLIs de &UNIX; ofrecen mucha más potencia y facilidad de uso que DOS)

Explacar el uso del CLI de &UNIX; está más allá del objetivo de este documento, ya que requeriría una libro completo. Afortunadamente, existen muchos libros de este tipo en varios idiomas en cualquier librería o biblioteca. También hay tutorials disponibles en Internet. Disfrute de &kde;, pero no se retraiga, intente aprender el uso de la línea de comandos. Descubrirá que incluso el aprendizaje de los elementos básicos facilitará el uso de su ordenador y se le hará más ameno.

### ¿Qué hace tan especial a &konsole;?

Las características avanzadas de &konsole; incluyen una configuración sencilla y la capacidad de usar múltiples terminales en una sola ventana, contribuyendo a mantener ordenado el escritorio.

Utilizando &konsole;, un usuario puede abrir:

- Sesiones de consola &Linux;

- Sesiones de intérprete de comandos

- Sesiones de pantalla

- Sesiones del administrador de archivos Midnight Commander

- Sesiones de consola de root

- Sesiones de Root de Midnight Commander

Estas sesiones pueden renombrarse para ayudarle a tener localizadas todas sus shells, o se les puede enviar señales (STOP, CONT, HUP, INT, TERM, KILL).

Para un mayor control sobre &konsole;, un usuario puede:

- ocultar/mostrar la barra de menús, barra de herramientas, barra de desplazamiento y/o marco

- seleccionar el tamaño, fuentes, esquemas de colores y mapeado de teclado de una ventana de &konsole;

- cambiar la posición de la barra de scroll o esconderla

Todas las opciones elegidas pueden hacerse predeterminadas para las próximas sesiones guardándolas.

Para los interesados en la taxonomía de los terminales X libres, hay otros dos de este tipo: xterm, el original escrito incluso antes que X (un mes o así), y xvt, un clon de xterm más ligero, en el que se basan la mayoría de los derivados actuales (principalmente eterm).

Tras una década, &konsole; es la primera revisión desde el principio. Mientras que xterm ha sido abandonado a morir (su archivo `README` empieza con las palabras Abandona toda esperanza, tú que entras aquí), &konsole; ofrece un inicio agradable usando tecnologías actuales y comprensión de X.

## Uso de &konsole;

### Inicio

Cuando &konsole; se inicia, se ejecuta una aplicación (normalmente un intérprete de &UNIX;) en la ventana. Simplemente escriba en la línea de comandos.

Pantalla &konsole;
Pantalla &konsole;

Puede también aparecer una "Sugerencia del día" al iniciarse, ofreciendo consejos sobre el uso de &konsole;. Si no desea recibir sugerencias, desmarque la casilla Mostrar al inicio.

### Historial

Según las líneas se desplazan fuera de la parte superior de la pantalla, se pueden volver a ver moviendo la barra de desplazamiento hacia arriba, o usando las teclas &Shift;Re Pag (para moverse una página atrás), &Shift;Av Pag (para moverse una página adelante), &Shift;Arriba (para moverse una línea arriba) y &Shift;Abajo (para moverse una línea abajo siempre y cuando la opción "Historial" esté activada).

### Botones de ratón

Izquierda

  El clic con el botón izquierdo del ratón se pasa como un evento a la aplicación que ejecuta la emulación, si soporta el uso del ratón. Si un programa va a reaccionar a pulsaciones de ratón, &konsole; lo indica mostrando un cursor con forma de flecha. Si no, se muestra una barra con forma de haz l (barra).

  Manteniendo pulsado el botón izquierdo y arrastrando el puntero por la pantalla con una aplicación que no soporte el uso del ratón seleccionará una región de texto. Mientras se arrastra, el texto marcado se muestra en vídeo inverso para mejor efecto visual. Cuando se suelta el botón, el texto marcado se copia al portapapeles para que se pueda usar más tarde con &konsole; u otra aplicación. El texto seleccionado puede ser arrastrado y soltado en aplicaciones compatibles. Pulse sobre le texto seleccionado y arrastrelo a la dirección deseada.

  Normalmente, se insertan caracteres de salto de línea al final de cada línea seleccionada. Esto es mejor para cortar código fuente, o la salida de un comando en particular. Para texto normal, los saltos de línea no suelen ser importantes. A veces uno preferiría, sin embargo, que el texto fuera una cadena de caracteres que se reformatearán automáticamente al pegarlos en otra aplicación. Para seleccionar el modo de texto como cadena, mantenga pulsada la tecla &Ctrl; mientras seleccione de forma normal.

  Si se llega al filo superior o inferior del área de texto mientras se está seleccionando, &konsole; hace un scroll arriba o abajo, posiblemente mostrando texto del historial del buffer. El scroll termina cuando el ratón deja de moverse.

  Después de que se suelte el botón del ratón, &konsole; trata de mantener el texto visible en el portapapeles manteniendo para ello el área seleccionada en vídeo inverso. El área marcada vuelve a vídeo normal tan pronto como se altere el contenido del portapapeles, se modifique el texto del área marcada o se pulse el botón izquierdo del ratón.

  Para marcar texto en una aplicación que soporte el ratón, debe pulsarse la tecla &Shift; al pulsar.

Central

  Pulsando el botón central se pega texto en el portapapeles. Manteniendo pulsada la tecla &Ctrl; mientras pulsa el botón central pega el texto y lo envia a &konsole;.

  Si tiene un ratón con sólo dos botones, al pulsar a la vez los botones izquierdo y derecho se emula el botón central de un ratón con tres botones.

Derecho

  El botón derecho del ratón invoca un menú con los elementos Mostrar barra de menú, Pegar, Enviar señal, Renonmbrar sesión, Opciones y Cerrar sesión. Pulsando &Ctrl; derecho llama a un menú de Sesión.

### Barra de menú

La barra de menú está en la parte superior de la ventana de &konsole;. Se puede esconder y restaurar cambiando Mostrar barra de menú en el menú Opciones. Cuando se oculta la barra de menú, Mostrar barra de menú, se puede llegar a ella haciendo clic en la ventana con el botón derechoo mediante &Alt;&Ctrl;M .

#### Menú Sesión

Sesión Nuevo intérprete

  Abre una nuevo intérprete con un terminal. También se puede utilizar &Alt;&Ctrl;N , como se describe más detalladamente abajo.

Sesión Nueva sesión de pantalla

  Abre una nueva sesión con el administrador de terminales virtuales de Pantalla. Vea ``man` `pantalla`` para más información.

Sesión Nueva consola de Root

  Abre una nueva sesión con un terminal de shell, como usuario como usuario root.

  Después de preguntar por la clave de root, aparece el símbolo #, indicando que el usuario está trabajando con privilegios de root. Esto a veces es necesario para instalar nuevo software y otro mantenimiento del sistema, pero debe tenerse cuidado para evitar daños accidentales al sistema.

Sesión Nuevo Midnight Commander

  Abre una sesión con el administrador de archivos gráfico Midnight Commander

Sesión Nueva consola Linux

  Abre una nueva sesión emulando un sistema &Linux; de sólo texto.

  Vea el archivo `README.linux.console` en el paquete &konsole; para información más detallada de las diferencias entre una consola &Linux; y una consola &UNIX; típica. Si esto no significa nada para usted, no se preocupe por ello.

Sseisón Nuevo root Midnight Commander

  Abre una nueva sesión con el navegador gráfico de archivos Midnight Commander como usuario root.

  Después de preguntar por la clave de root, aparece el símbolo # en la ventana de navegación, indicando que el usuario está trabajando con privilegios de root. Trabajar como root a veces es necesario, pero debe tener cuidado para evitar daños accidentales al sistema.

Sesión Cerrar sesión

  Cierra la sesión actual.

Sesión Salir

  Sale de &konsole;, cerrando todas las sesiones y cualquier aplicación cargada desde ellas.

También puede abrir una nueva sesión con un acceso rápido. Por omisión, Alt Ctrl N es la combinación. También puede definir su propio acceso rápido para iniciar una nueva sesión de terminal. Los archivos con extensión `*.keytab` en el directorio`$`KDEDIR`/share/apps/konsole` definen accesos rápidos de teclado.

Por ejemplo, añadiendo la definición: `tecla F12 + Mayúsculas : nuevaSesión` en los archivos activos keytab hace que se inicie una nueva sesión al pulsar &Shift;F12. Utilice el comando de menú Opciones Teclado para elegir un nuevo archivo keytab. El archivo `README.KeyTab` contiene más información sobre definición de accesos rápidos.

Finalmente, advierta que los tipos de sesión pueden modificarse y se pueden crear nuevos tipos utilizando el módulo &kcontrolcenter; Sistema Konsole.

#### El menú Editar

Editar Pegar

  Pega texto desde el portapapeles en el lugar donde está el cursor.

Editar Enviar señal

  Enviar señal - envía la señal especificada al proceso de del intérprete de comandos, o a otros procesos, que se ejecutó cuando se inició la nueva sesión

  Las señales disponibles son:

  STOP | para detener procesos
  CONT | para continuar si están detenidos
  HUP | detectado cuelgue del terminal controlador, o muerte del proceso controlador
  INT | interrupción desde el teclado
  TERM | señal de terminación
  KILL | señal de muerte

  Acuda a las páginas del manual de su sistema para más detalles ejecutando el comando ``man` `7 signal``.

Editar Buscar en el historial

  Busca una palabra o cadena de texto en la historia actual. Las opciones permiten búsquedas distinguiendo mayúsculas/minúsculas o búsquedas hacia atrás.

Editar Guardar historia como

  Guarda la historia actual como archivo de texto.

Editar Borrar historial

  Borra el historial de la sesión actual.

Editar Borrar todo el historial

  Borra el historial de todas las sesiones.

#### El menú Ver

Ver Renombrar sesión

  Abre un cuadro de diálogo que le permite cambiar el nombre de la sesión actual. The name is displayed on the session tab. &Alt;&Ctrl;S también se puede utilizar.

Ver Monitor de actividad

  Etiqueta la sesión actual de modo que mostrará una alerta si se produce actividad. Un icono con una bombilla de luz clara aparecerá en la pestaña de la sesión. Utilice esta propiedad para servirle de aviso por si ocurre algo mientras trabaja en otra sesión.

Ver Monitor de silencio

  Etiqueta la sesión actual de modo que mostrará una alerta si no se produce actividad durante 10 segundos. Un icono con una bombilla de luz negra aparecerá en la pestaña de la sesión. Utilice esta propiedad para servirle de aviso si una tarea se detiene mientras trabaja en otra sesión.

Ver Enviar entrada a todas las sesiones

  Marca la sesiçon actual de modo que cualquier comando introducido será enviado a todas las sesiones. La sesión tendrá un pequeño icono en su pestaña para recordarle que sea cuidadoso con lo que introduce ``rm` `-rf *``, por ejemplo, es un idea pésima.

Ver Mover sesión a la izquierda

  Mueve la pestaña de la sesión actual una pestaña a la izquierda.

Ver Mover sesión a la derecha

  Mueve la pestaña de la sesión actual una pestaña a la derecha

  &Shift; Izquierda y &Shift; Derecha sirve para moverse entre diferentes sesiones.

Vista Iconos de sesión...

  En la parte inferior del menú hay una lista de las sesiones disponibles. Seleccionando una se hace dicha sesión activa.

  También puede utilizar las teclas de flechas &Shift;Izquierda/&Shift;Derecha para circular por las sesiones disponibles.

#### El menú Opciones

Opciones Mostrar barra de menú

  Muestra u oculta la barra de menú.

Opciones Mostrar barra de herramientas

  Muestra u oculta la barra de herramientas.

Opciones Barra de desplazamiento

  Controla la ubicación de la barra de desplazamiento: ninguna, izquierda, o derecha

Opciones Pantalla completa

  Cambio de pantalla completa a/desde tamaño normal

Opciones Timbre

  Configura el timbre del sistema a una notificación del sistema de &kde; o a un destello luminoso, o lo apaga.

Opciones Fuentes

  Fija la fuente y el tamaño de la fuente

  Seleccione la opción Personalizar para usar cualquier combinación de fuente, tamaño y estilo. El archivo `README.fonts` en el paquete fuente de &konsole; le ofrece sugerencias sobre las fuentes que funcionan bien.

Opciones Teclado

  Elije el mapa de teclado deseado.

  La lista de los mapas de teclado se toma de `$KDEDIR/share/apps/konsole/*.keytab`. El archivo `$KDEDIR/share/apps/konsole/README.KeyTab` describe el formato keytab en más detalle. Añada o modifique estos archivos para ajustarlos a sus necesidades.

Opciones Esquema

  Fija los colores de texto y fondo.

  La lista de estos datos se toma de `$KDEDIR/share/apps/konsole/*.schema`. El archivo `$KDEDIR/share/apps/konsole/README.Schema` describe el formato esquema en más detalle. Añada o modifique estos archivos para que se ajusten a sus necesidadesTambién puede crear esquemas personalizados desde el módulo &kcontrolcenter; Sistema Konsole.

Opciones Tamaño

  Fija el tamaño del área de texto (dado en columnas de x filas)

Opciones Historial...

  Abre un diálogo donde puede configurar el historial.. La casilla Activar activa/desactiva el guardado de líneas que han desaparecido por la parte superior de la ventana. Puede introducir el Número de líneas a recordar en el campo de texto, o utilizar el botón incrmental para aumentar o disminuir el número en pasos de 100 líneas. El botón Predeterminado reiniciará el valor del historial a 1000 líneas. Estableciendo este valor a 0 hará que se guarde todo el historial. Pulse Aceptar para guardar sus cambios, Cancelar para cerrar el diálogo sin guardar sus opciones de configuración.El botón Ayuda abrirá este manual, y mostrará el texto que usted está leyendo ahora.

Opciones Guardar opciones

  Guarda las opciones de configuración actuales como valores predeterminados.

Opciones Configurar &konsole;

  Abre el módulo &kcontrolcenter; permitiendo muchos cambios adicionales al interfaz de &konsole;.

#### El menú Ayuda

F1 Ayuda Manual de Konsole

  Abre una tabla de contenidos de este documento.

Ayuda Sugerencia del día...

  Muestra una sugerencia útil sobre el uso de &konsole;. Marque la casilla Mostrar al iniciar para mostrar una sugerencia cada vez que inicie &konsole;.

Ayuda Informar de fallo...

  Envia un informe de fallo o una petición de mejora para &konsole;.

Ayuda Acerca de Konsole...

  Información acerca del autor de &konsole;

Ayuda Acerca de KDE...

  Información sobre el proyecto KDE

### La barra de herramientas

La barra de herramientas está en la parte inferior de la ventana de &konsole;

Se puede ocultar y restaurar pulsandosobre Mostrar barra de herramientas en el menú Opciones o pulsando el asa con textura al lado de la barra. La barra contiene un icono Nuevo e iconos para las sesiones activas en ese momento. Pulsando Nuevo abre un nuevo intérprete de comandos.

Pulsando dos veces sobre la pestaña de una sesión abre un cuadro de diálogo que le permite cambiar el nombre de esa sesión. &Alt;&Ctrl;S también puede utilizarse para renombrar la sesión activa.

Pulsando sobre un icono de sesión existente activa dicha sesión

Cuando la barra de herramientas está oculta, &Shift; Izquierda y &Shift; Derecha sirve para moverse entre diferentes sesiones.

### Opciones de la línea de comandos

Cuando se inicia &konsole; desde la línea de comandos, se pueden especificar varias opciones para modificar su comportamiento.

`--help`

  Lista varias opciones

`-name` `nombre`

  Fija el nombre que aparece en la barra de título

`--ls`

  Iniciar con un entorno de intérprete de comando. Lo que hace depende de su sistema, pero generalmente significa que archivos como `~/.profile` o `~/.bash_profile` serán leidos. (Si esto le resulta incomprensible, no se preocupe, pero acuerdese para cuando se dé cuenta de que le resulta necesario.)

`-T` `título`

  Fija el título de ventana

`-tn` `terminal`

  Configura la variable de entorno TERM al valor especificado. Lea ``man` `xterm`` para más información sobre TERM.

`--xwin`

  Ignorado

`--nohist`

  Desactiva el guardado de líneas que se desplazan hacia arriba desapareciendo de la ventana

`--nomenubar`

  Inicia &konsole; sin barra de menú.

`--notoolbar`

  Inicia &konsole; sin barra de herramientas

`--noframe`

  Inicia &konsole; sin un marco

`--noscrollbar`

  Inicia &konsole; sin barra de desplazamiento

`--noxft`

  Inicia &konsole; sin suavizado Xft. El suavizado de fuentes pequeñas puede resultar difícil de leer.

`--vt_sz` `CCxLL`

  Inicia una ventana de terminal con CC columnas y LL líneas

`--type` `tipo`

  Inica una sesión del tipo adecuado en lugar de la predeterminada.

`--workdir` `dir`

  Abrir con `dir` como directorio de trabajo.

`-e` `comando`

  Ejecuta `comando` en lugar del intérprete de comandos.

Por ejemplo:

    bash$
     konsole --vt_sz
      90x25 --nohist

inicia una ventana de &konsole; con 90 columnas y 25 filas, sin historial

&konsole; también acepta opciones genéricas de &Qt; y KDE:

`--help-qt`

  Lista las opciones específicas de Qt

`--help-kde`

  Lista las opciones específicas de KDE

`--help-all`

  Lista todas las opciones

`--author`

  Muestra los nombres de los autores

`-v,--version`

  Muestra número de versión

`--licencia`

  Muestra información de la licencia

## Créditos y Copyright

El encargado de &konsole; es Stephan Binner Stephan.Binner@gmx.de

La aplicación &konsole; copyright 1997-2000 Lars Doelle lars.doelle@on-line.de

Este documento fue escrito por Jonathan Singer jsinger@leeta.net

Convertido a DocBook SGML por Michael McBride mmcbride@ematic.com y Lauri Watts lauri@kde.org

Traducido por Pablo de Vicente vicentea@oan.es

&underFDL; &underGPL;

## &konsole; en plataformas no &Linux;

La información para generar &konsole; en plataformas diferentes de &Linux; está disponible en el archivo `README.ports` en el paquete fuente base de &konsole;. Proporciona una lista de experto para ciertas plataformas (Tru64, &Solaris;, OpenBSD) y solicita voluntarios para otras plataformas &UNIX;.

&documentation.index;